Summary: TCP port reservation utility
Name: portreserve
Version: 0.0.1
Release: 0.1
License: GPLv2+
Group: System Environment/Daemons
URL: http://cyberelk.net/tim/portreserve/
Source0: http://cyberelk.net/tim/data/portreserve/stable/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The portreserve program aims to help services with well-known ports that
lie in the portmap range.  It prevents portmap from a real service's port
by occupying it itself, until the real service tells it to release the
port (generally in the init script).

%prep
%setup -q

%build
%configure --sbindir=/sbin
make
make check

%install
rm -rf %{buildroot}
%makeinstall sbindir=%{buildroot}/sbin
mkdir -p %{buildroot}/var/run/portreserve
mkdir -p %{buildroot}/etc/init.d
install -m755 portreserve.init %{buildroot}/etc/init.d/portreserve
mkdir -p %{buildroot}/etc/portreserve

%clean
rm -rf %{buildroot}

%post
if [ "$1" = 1 ]; then
  /sbin/chkconfig --add portreserve
fi

%preun
if [ "$1" = 0 ]; then
  /sbin/service portreserve stop >/dev/null 2>&1
  /sbin/chkconfig --del portreserve
fi

%postun
if [ "$1" -ge "1" ]; then
  /sbin/service portreserve condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING NEWS
%dir %{_localstatedir}/run/portreserve
%dir /etc/portreserve
%attr(755,root,root) /etc/init.d/portreserve
/sbin/*
%{_mandir}/*/*

%changelog
* Thu May  8 2008 Tim Waugh <twaugh@redhat.com>
- Default permissions for directories.
- Initscript should not be marked config.
- Fixed license tag.
- Better buildroot tag.

* Wed Sep  3 2003 Tim Waugh <twaugh@redhat.com>
- Initial spec file.
